## dupload 2.8.4

=== Makefile ===
# Makefile for dupload
# Copyright © 1996 Heiko Schlittermann
# Copyright © 2002 Josip Rodin

version = $(shell dpkg-parsechangelog -SVersion)
reltime = $(shell dpkg-parsechangelog -STimestamp)
mandate = $(shell TZ=UTC LC_ALL=C date '+%F' --date="@$(reltime)")

MAN1 = dupload.1
MAN5 = dupload.conf.5
MAN = $(MAN1) $(MAN5)
EXTRA_FILES = gpg-check pgp-check

prefix = /usr/local
confdir = /etc
bindir = $(prefix)/bin
mandir = $(prefix)/share/man
man1dir = $(mandir)/man1
man5dir = $(mandir)/man5
extradir = $(prefix)/share/dupload

INSTALL = install
POD2MAN = pod2man

mkdirhier = $(INSTALL) -d
inst_script = $(INSTALL) -m 755
inst_lib = $(INSTALL) -m 644
inst_data = $(INSTALL) -m 644

repl_script = sed -i \
	-e "s:^my \$$version = '.*';:my \$$version = '$(version)';:" \
	$(nil)

all: dupload $(MAN)

install:	all
	$(mkdirhier) $(bindir) $(man1dir) $(man5dir) $(extradir)
	$(inst_script) dupload $(bindir)
	$(repl_script) $(bindir)/dupload
	$(inst_data) $(MAN1) $(man1dir)
	$(inst_data) $(MAN5) $(man5dir)
	$(inst_script) $(EXTRA_FILES) $(extradir)
	@echo; echo "** You should install dupload.conf to $(confdir)"; echo

clean:
	rm -f core *.[0-9]pod.* *~ $(MAN)

.PHONY: dupload
dupload:
	perl -c $@
	perl -c dupload.conf

%:	%pod
	$(POD2MAN) \
	  --section=$(subst .,,$(suffix $@)) \
	  --name=$(basename $@) \
	  --center="Debian Project" \
	  --date="$(mandate)" \
	  --release="$(version)" \
	    $< >,$@ && mv -f ,$@ $@; \
	  rm -f ,$@

.PHONY:	all install clean

=== debian/changelog ===
dupload (2.8.4) unstable; urgency=medium

  * Revert debhelper compatibility level bump for stretch release.

 -- Guillem Jover <guillem@debian.org>  Sun, 28 May 2017 03:28:00 +0200

dupload (2.8.3) unstable; urgency=medium

  * Use the new domain name (ftp.security.upload.debian.org) for the
    Debian security ftp queue. Closes: #863350
  * Use /srv instead of /org for the Debian security scp queue.
  * Add new ftp.eu.upload.debian.org upload queue.
  * Add new ftp.security.upload.debian.org unembargoed queue.
  * Use https:// instead of http:// everywhere.

 -- Guillem Jover <guillem@debian.org>  Sat, 27 May 2017 05:49:57 +0200

dupload (2.8.2) unstable; urgency=medium

  * Set TZ to UTC when calling pod2man, to get reproducible man pages.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 May 2017 13:44:54 +0200

dupload (2.8.1) unstable; urgency=medium

  * Remove dependencies on libnet-perl, now a virtual package provided
    by perl-modules.
  * Use the changelog timestamp to generate reproducible man pages.
  * Clarify that the default OpenPGP check can be disabled with a
    host-specific hook. Closes: #326947
  * Improve man page wording and formatting.

 -- Guillem Jover <guillem@debian.org>  Thu, 18 May 2017 05:35:40 +0200

dupload (2.8.0) unstable; urgency=medium

  * Take over maintainersip as part of the Dpkg Developers umbrella,
    with the agreement of previous maintainer, Josip Rodin.
  * Bump Standards-Version to 3.9.8.
  * Switch debian/copyright to machine-readable format.
  * Wrap and sort fields in debian/control.
  * Swap dh arguments to pass $@ first, required by newer debhelper
    compatibility levels.
  * Switch to debhelper compatibility level 9.
  * Change “Debian GNU/Linux” references to Debian.
  * Mark package as Multi-Arch foreign.
  * Remove support for obsolete non-US section.
  * Update default list of sources files used in man page.
  * Use more standard section names in man page.
  * Remove reference to long-removed chiark queue from man page.
  * Remove ancient comment about signed mails on broken MUAs from man page.
  * Remove notion that being written in perl is a bug from man page.
  * Fix various typos.
  * Improve man page metadata.
  * Simplify Version field fetching with new dpkg-parsechangelog -S option.
  * Reflow and improve package description.
  * Remove stray "d" inbetween changelog entries.
  * Update and unify copyright and license information.
    - Remove AUTHOR sections from man pages.
    - Expand license text in file headers.
    - Update copyright holder notices.
  * Remove commented out code.
  * Drop obsolete volatile queue. Closes: #661376
    Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>.
  * Fix indentation for bpo queue.
  * Set FTP passive mode by default on all queues. Closes: #355474
    Thanks to Adam Borowski <kilobyte@angband.pl>.
  * Add a vim modeline to the configuration file.
  * Improve usage description in program --help output and man page.
  * Replace the inline version at install time, to guarantee we always
    have an up-to-date version string.

 -- Guillem Jover <guillem@debian.org>  Tue, 02 May 2017 02:59:21 +0200

=== debian/control ===
Source: dupload
Section: devel
Priority: optional
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 7.0.50~),
 bash-completion,
Build-Depends-Indep:
 perl,

Package: dupload
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 openssh-client | ssh,
Suggests:
 lintian,
 mail-transport-agent,
Description: Debian package upload tool
 dupload will automagically upload Debian packages to a remote host with
 a Debian upload queue. The default host is configurable, along with the
 upload method and a lot of other things. All uploads are logged.
 .
 It is intended mainly for people maintaining Debian packages.

## dupload 2.9.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 # Makefile for dupload
 # Copyright © 1996 Heiko Schlittermann
 # Copyright © 2002 Josip Rodin
+# Copyright © 2017 Guillem Jover <guillem@debian.org>
 
 version = $(shell dpkg-parsechangelog -SVersion)
 reltime = $(shell dpkg-parsechangelog -STimestamp)
-mandate = $(shell TZ=UTC LC_ALL=C date '+%F' --date="@$(reltime)")
+mandate = $(shell TZ=UTC0 LC_ALL=C date '+%F' --date="@$(reltime)")
 
 MAN1 = dupload.1
 MAN5 = dupload.conf.5
 MAN = $(MAN1) $(MAN5)
-EXTRA_FILES = gpg-check pgp-check
+EXTRA_FILES = hooks/gpg-check hooks/debian-security-auth
 
 prefix = /usr/local
 confdir = /etc
@@ -31,7 +32,7 @@
 	-e "s:^my \$$version = '.*';:my \$$version = '$(version)';:" \
 	$(nil)
 
-all: dupload $(MAN)
+all: $(MAN)
 
 install:	all
 	$(mkdirhier) $(bindir) $(man1dir) $(man5dir) $(extradir)
@@ -43,14 +44,14 @@
 	@echo; echo "** You should install dupload.conf to $(confdir)"; echo
 
 clean:
-	rm -f core *.[0-9]pod.* *~ $(MAN)
+	rm -f core *.[0-9].pod.* *~ $(MAN)
 
-.PHONY: dupload
-dupload:
-	perl -c $@
-	perl -c dupload.conf
+.PHONY: check
 
-%:	%pod
+check:
+	PERL5LIB=lib prove
+
+%:	%.pod
 	$(POD2MAN) \
 	  --section=$(subst .,,$(suffix $@)) \
 	  --name=$(basename $@) \

=== debian/changelog ===
dupload (2.9.1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make ubuntu the default upload host

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Oct 2017 12:11:10 +0200

dupload (2.9.1) unstable; urgency=medium

  * Fix perl warning on upload queues without a mailto or mailtx attribute.
    Closes: #877373
  * Fix markup in man pages.
  * Use UTC0 when setting TZ for the man date.
  * Use balanced '' instead of `' in output messages.
  * Perl code cleanup:
    - Use qx() instead of ``.
    - Mask non file-mode bits when comparing the stat value.
    - Move batch mode post command setup after batch mode transfer.
  * Improve file mode handling:
    - Switch rsync method to use -L and -t instead of -a.
    - Add a new host filemode option to configure the destination files mode.
    - Use --chmod=F<mode> for rsync method instead of using a chmod command.
    - Do not change the file mode for Debian security uploads.
    Proposed by Ansgar Burchardt <ansgar@debian.org>. Closes: #876900
  * Update fqdn and incoming in Debian security upload queue configuration.
  * Add new Debian security-unembargoed ssh queue.

 -- Guillem Jover <guillem@debian.org>  Wed, 11 Oct 2017 20:43:44 +0200

dupload (2.9.0ubuntu2) artful; urgency=medium

  * Drop ubuntu configuration, already included in Debian list, thanks
    Guillem!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2017 23:50:17 +0200

dupload (2.9.0ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use /ubuntu for incoming packages (CFR: LP: #1340130)
    - Add upload.ubuntu.com to the list of upload hosts
    - Make ubuntu the default upload host

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2017 12:38:22 +0200

dupload (2.9.0) unstable; urgency=medium

  * Update the TODO list.
  * Add Vcs-Browser and Vcs-Git fields to debian/control.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * Rename man pages to from Npod to N.pod extensions.
  * Remove trailing whitespace.
  * Remove PGP support, we always have GnuPG now.
  * Do not consider the default_host as the only host to dump on --print.
  * Add a new default hook to ask whether the user has been authorized to
    do Debian security uploads, and enable all security queues by default.
  * Add support for specifying a filename argument to --configfile, and
    deprecate using it without the argument due to being a security risk.
  * Add a basic unit test suite.
  * Fix fatal error for pre-upload package hook to include the actual hook.
  * Use $changes instead of $_ for the sourcepackage postupload hook, so that
    we compute the hook arguments properly.
  * Do not try to operate on the job log filehandle if we cannot open it.
  * Add new "copy" upload method. Closes: #259981
  * Do not expect incoming nor queuedir options to end in a slash. This was
    affecting the ftp and scp methods.
  * Always print a newline before printing a fatal error to make sure we do
    not start on a partially written line.
  * Insert a colon after the program name in errors and warnings.
  * Only set the batch mode command variables when in that mode.
  * Add Ubuntu host to dupload.conf.
    Thanks to Oliver Grawert (ogra) <hostmaster@grawert.net>.
  * Switch to debhelper compatibility level 10.
  * Perl code cleanup:
    - Do not access the @_ array as @_[0].
    - Declare Getopt::Long option variables.
    - Declare dupload.conf configuration variables.
    - Use strict and warnings in dupload and dupload.conf.
    - Remove ancient perl version requirement.
    - Replace hard tabs with 4 spaces.
    - Switch a deep conditional into an early return.
    - Remove unused variables.
    - Fold batch method statistics conditional into subsequent conditional.
    - Fix indentation and spacing. Split each statement into its own line.
    - Use IO::Handle autoflush instead of single argument select.
    - Do not use parenthesis with built-ins.
    - Use parenthesis for non-built-in functions.
    - Use block form for grep.
    - Declare every global variable on its own my.
    - Improve code comments.
    - Remove unnecessary parenthesis in conditionals.
    - Switch trivial one-liner conditionals to postfix notation.
    - Switch comma separated statements into prefix conditionals.
    - Refactor job logging into a new log_job() function.
    - Use scalars for filehandles instead of barewords.
    - Use braced filehandles with print.
    - Use three argument open form.
    - Use lexical loop iterators.
    - Rework hook execution to not require an eval.
    - Do not use stringy split.
    - Do not interpolate literal strings.
    - Do not use undefined $queuedir variable.
    - Do not use undefined $debian when checking announce filenames.
    - Use uppercase names for HERE-doc terminators.
    - Quote HERE-doc terminators.
    - Use glob function instead of the <> operator.
    - Use negative indices instead of $#var.
    - Use {} instead of # as regex delimiter.
    - Use List::Util any function instead of grep in boolean context.
    - Stop using the English module.
    - Do not mix boolean operators with different precedence.
    - Use octals instead of decimal values for file modes.
    - Move declaration of @f to its initialization.
    - Do not use «and do» or «or do» constructs.
    - Do not use «and» or «or» for non-control-flow actions.
    - Unify fatal error handling with other surrounding flow control logic.
    - Avoid explicit usage of the topic variable.
    - Simplify and cleanup fatal error reporting.
    - Use non-capturing groups in regexes.
    - Refactor pre and post upload hooks into two new functions.
    - Check open return value for redirection of announcement to stdout.
    - Use fatal() instead of die.
    - Do not use contracted forms in output messages nor documentation.
    - Chain method conditionals into if/elsif blocks.


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: dupload
 Section: devel
 Priority: optional
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>
-Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dupload.git
+Vcs-Git: https://anonscm.debian.org/git/dpkg/dupload.git
+Standards-Version: 4.1.0
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 10),
  bash-completion,
 Build-Depends-Indep:
  perl,

## dupload 2.9.2

=== debian/changelog ===
dupload (2.9.2) unstable; urgency=medium

  * Set Rules-Requires-Root field to no.
  * Update mentors.debian.net incoming path in dupload.conf. Closes: #891269
    Thanks to Mattia Rizzolo <mattia@debian.org>.
  * Fix perl uninitialized warnings when using option -p.
  * Cleanup error output:
    - Do not print source file and line for errors that are not code bugs.
    - Remove redundant newlines.
    - Rewrite error strings to make them easier to understand.
  * Namespace debhelper files with package name.
  * Update Vcs URLs to point to the new hosting site.
  * Bump Standard-Version to 4.1.5 (no changed needed).
  * Add default-mta as the first alternative to mail-transport-agent.

 -- Guillem Jover <guillem@debian.org>  Fri, 06 Jul 2018 12:08:34 +0200

## dupload 2.9.2ubuntu1

=== debian/changelog ===
dupload (2.9.2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make ubuntu the default upload host

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jul 2018 09:32:39 +0200

=== debian/control ===
Source: dupload
Section: devel
Priority: optional
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
Standards-Version: 4.1.5
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 10),
 bash-completion,
Build-Depends-Indep:
 perl,

Package: dupload
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 openssh-client | ssh,
Suggests:
 default-mta | mail-transport-agent,
 lintian,
Description: Debian package upload tool
 dupload will automagically upload Debian packages to a remote host with
 a Debian upload queue. The default host is configurable, along with the
 upload method and a lot of other things. All uploads are logged.
 .
 It is intended mainly for people maintaining Debian packages.

## dupload 2.9.4

=== debian/changelog ===
dupload (2.9.4) bionic; urgency=medium

  * Boundary rebuild for bionic

 -- Laci Tele <laci@boundarydevices.com>  Sat, 06 Jul 2019 14:32:27 -0500

dupload (2.9.4) unstable; urgency=medium

  * Add missing newline when printing queuedir move.
  * When using the scpb method print that instead of scp.
  * Add verb to the first job print, see #181476.
  * Fix current working directory for postupload hooks.
    Fixes <https://bugs.launchpad.net/bugs/795445>.
    Based on patch by Ignacy Gawędzki <https://launchpad.net/~iazz>.
  * Fallback to getpwuid($<) in case getlogin() fails.
    Fixes <https://bugs.launchpad.net/bugs/1140837>.
  * Do not use sendmail if it is not available. We are checking whether
    sendmail is present, to then override the check with the value coming
    from the config file. We should not try to use sendmail if we have found
    it is not available. Fixes <https://bugs.launchpad.net/bugs/1504088>.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Feb 2019 06:12:56 +0100

dupload (2.9.3) unstable; urgency=medium

  * Remove trailing spaces from changelog file.
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Fix typos.
  * Add configuration stanza for Debian Ports archive.
    Prompted by Manuel A. Fernandez Montecelo <mafm@debian.org>.
  * Check the distribution values one at a time.
  * Add new configuration options (distwhitelist and distblacklist) to
    check for the distributions (not) allowed per host.
  * Move the UNRELEASED distribution check into the distblacklist
    configuration variable. Closes: #479831
  * Add distblacklist and distwhitelist checks for security and backports
    uploads. Closes: #647130
  * Remove done items from the TODO list.
  * Automatically select the default host based on the current vendor, when
    that is Debian or Ubuntu.
  * Clarify that the "Login and password" man page subsection is FTP-specific.
  * Document the anonymous FTP password host option.
  * Only set the ssh login name if specified in the dupload config. We should
    delegate the username to either the ssh host configuration or the dupload
    configuration. Trying to use the current system login name, or one of
    LOGNAME or USER confuses and annoys users, and makes them have to
    duplicate the information which is already kept in the ssh config.
    Closes: #63130, #100460, #504175
  * Fix quiet mode to be consistent across upload methods. Pass -q to scp
    only when quiet is enabled, which changes the default behavior for the
    «scp» method that was always passing -q, and for the «scpb» method that
    was never passing it. For the «rsync» method we now pass -v only when
    quiet is not set. Closes: #61324
  * Output the database entries with --print in a deterministic order.
  * Fix --help output to document the <file> argument to --configfile.
  * Perl code cleanup:
    - Remove unused variables in ftp_open().
    - Use ftp_open() function argument instead of global variable.
    - Make $ftp a local variable in ftp_open().
    - Only handle the password setting in FTP-method specific code path.

 -- Guillem Jover <guillem@debian.org>  Sun, 03 Feb 2019 01:01:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  bash-completion,
 Build-Depends-Indep:
  perl,
@@ -19,6 +19,7 @@
 Depends:
  ${misc:Depends},
  ${perl:Depends},
+ libdpkg-perl,
 Recommends:
  openssh-client | ssh,
 Suggests:

## dupload 2.9.4+nmu1

=== debian/changelog ===
dupload (2.9.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:29:23 +0800

## dupload 2.9.5

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,11 @@
 MAN1 = dupload.1
 MAN5 = dupload.conf.5
 MAN = $(MAN1) $(MAN5)
-EXTRA_FILES = hooks/gpg-check hooks/debian-security-auth
+EXTRA_FILES = \
+  hooks/gpg-check \
+  hooks/debian-security-auth \
+  hooks/debian-source-only \
+  $(nil)
 
 prefix = /usr/local
 confdir = /etc

=== debian/changelog ===
dupload (2.9.5) unstable; urgency=medium

  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to debhelper compatibility level 12.
  * Bump Standard-Version to 4.4.1 (no changed needed).
  * Obsolete --configfile without argument automatically loading the
    configuration file from the current directory, by making the argument
    mandatory.
  * Use $() instead of `` in shell hooks.
  * Use qx() instead of `` in perl tests.
  * Remove perlcritic Documentation::RequirePodLinksIncludeText suppression.
  * Do not use contractions in output messages and code comments.
  * Add a hook to warn on non-source-only uploads to Debian main, and on
    source-only non-autobuild uploads to Debian non-free. Closes: #303093

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Oct 2019 02:34:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  bash-completion,
 Build-Depends-Indep:
  perl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=bash-completion

override_dh_auto_build:
	$(MAKE) prefix=/usr

override_dh_auto_install:
	$(MAKE) prefix=debian/dupload/usr install

## dupload 2.9.6

=== Makefile ===
# Makefile for dupload
# Copyright © 1996 Heiko Schlittermann
# Copyright © 2002 Josip Rodin
# Copyright © 2017, 2019-2020 Guillem Jover <guillem@debian.org>

PACKAGE = dupload
VERSION = $(shell dpkg-parsechangelog -SVersion)
RELTIME = $(shell dpkg-parsechangelog -STimestamp)
MANDATE = $(shell TZ=UTC0 LC_ALL=C date '+%F' --date="@$(RELTIME)")

MAN1 = dupload.1
MAN5 = dupload.conf.5
MAN = $(MAN1) $(MAN5)
EXTRA_FILES = \
  hooks/gpg-check \
  hooks/debian-security-auth \
  hooks/debian-source-only \
  $(nil)

prefix = /usr
confdir = /etc
bindir = $(prefix)/bin
mandir = $(prefix)/share/man
man1dir = $(mandir)/man1
man5dir = $(mandir)/man5
extradir = $(prefix)/share/dupload

INSTALL = install
POD2MAN = pod2man

mkdirhier = $(INSTALL) -d
inst_script = $(INSTALL) -m 755
inst_lib = $(INSTALL) -m 644
inst_data = $(INSTALL) -m 644

repl_script = sed -i \
	-e "s:^my \$$version = '.*';:my \$$version = '$(VERSION)';:" \
	$(nil)

all: $(MAN)

install:	all
	$(mkdirhier) $(DESTDIR)$(bindir)
	$(mkdirhier) $(DESTDIR)$(confdir)
	$(mkdirhier) $(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir)
	$(mkdirhier) $(DESTDIR)$(extradir)
	$(inst_script) dupload $(DESTDIR)$(bindir)
	$(repl_script) $(DESTDIR)$(bindir)/dupload
	$(inst_data) $(MAN1) $(DESTDIR)$(man1dir)
	$(inst_data) $(MAN5) $(DESTDIR)$(man5dir)
	$(inst_script) $(EXTRA_FILES) $(DESTDIR)$(extradir)
	$(inst_data) dupload.conf $(DESTDIR)$(confdir)

clean:
	rm -f core *.[0-9].pod.* *~ $(MAN)

.PHONY: check

check:
	prove -Ilib

%:	%.pod
	$(POD2MAN) \
	  --section=$(subst .,,$(suffix $@)) \
	  --name=$(basename $@) \
	  --center="Debian Project" \
	  --date="$(MANDATE)" \
	  --release="$(VERSION)" \
	    $< >,$@ && mv -f ,$@ $@; \
	  rm -f ,$@

.PHONY:	all install clean

dist:
	git archive \
	    --prefix=$(PACKAGE)-$(VERSION)/ \
	    --output=$(PACKAGE)-$(VERSION).tar.xz \
	    $(VERSION)

=== debian/changelog ===
dupload (2.9.6) unstable; urgency=medium

  * Switch to Standard-Version 4.5.1 (no changed needed).
  * Switch to debhelper compatibility level 13.
  * Enable bash-completin sequence by adding dh-sequence-bash-completion
    to Build-Depends instead of setting it via dh --with=bash-completion.
  * Improvements and fixes to bash-completion:
    - Remove unused local variables.
    - Reindent to 2 spaces.
    - Switch the options variable into an array.
    - Pass $cur to compgen as the match word instead of using grep.
    - Move local declarations to their definitions.
    - Autocomplete directories. Closes: #962632
  * Clarify man page SYNOPSIS syntax by not formatting the ‘|’.
  * Namespace and harmonize Debian repository target names, while preserving
    backwards compatibility aliases for now.
  * Rename blacklist/whitelist to blocklist/allowlist, support the old
    variable names for backwards compatibility.
  * Do not interpolate strings unnecessarily.
  * Build system:
    - Pass lib to prove with -I instead of PERL5LIB.
    - Install dupload.conf from the upstream build system.
    - Change default installation directory from /usr/local to /usr.
    - Fix upstream build system to respect DESTDIR.
    - Uppercase variables in Makefile.
    - Add a dist target.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Wed, 30 Dec 2020 01:20:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
- bash-completion,
+ debhelper-compat (= 13),
+ dh-sequence-bash-completion,
 Build-Depends-Indep:
  perl,

## dupload 2.9.7

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 MAN5 = dupload.conf.5
 MAN = $(MAN1) $(MAN5)
 EXTRA_FILES = \
-  hooks/gpg-check \
+  hooks/openpgp-check \
   hooks/debian-security-auth \
   hooks/debian-source-only \
   $(nil)

=== debian/changelog ===
dupload (2.9.7) unstable; urgency=medium

  * Use OpenPGP instead of GPG for signature related names.
  * Consider SHA1 and RIPEMD160 weak digest algorithms on OpenPGP signatures.
  * Use «command -v» instead of «which», as the former is more portable.

 -- Guillem Jover <guillem@debian.org>  Sun, 29 Aug 2021 13:17:07 +0200

## dupload 2.9.8

=== debian/changelog ===
dupload (2.9.8) unstable; urgency=medium

  * Fix compatibility target host definitions.
    Reported by Santiago Vila <sanvila@unex.es>.
  * Add a license header to the OpenPGP check hook.
  * Clarify comment in OpenPGP check hook.
  * Fix bashisms in hooks.
  * Only perform debian-source-only checks for unstable and sid suites.
  * Refactor time delta computation.
  * Fix printing the changes file into the announce mail.
    Thanks to Edouard GAULUE <edouard@e-gaulue.com>. See #1005843.
  * Fix pipe mode for perl open call to sendmail.
    Thanks to Edouard GAULUE <edouard@e-gaulue.com>. Closes: #1005843
  * Add support for configurable MTA in dupload.conf and --mta option.
  * Fix announce address concatenation handling.
  * Code internals:
    - Fix indentation in OpenPGP check hook.
    - Rename the $sendmail variables to $mta.
  * Build system:
    - Add a new gitlab-ci.yml file.
  * Packaging:
    - Drop deprecated «have» function usage in bash completion.
    - Add a bash filetype to the bash completion file.
    - Add author test dependencies under a build-profile.
    - Bump to Standards-Version 4.6.0 (no changed needed).
  * Test suite:
    - Add a shellcheck test.

 -- Guillem Jover <guillem@debian.org>  Thu, 31 Mar 2022 01:45:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,20 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
+ aspell <pkg.dupload.author-tests>,
+ aspell-en <pkg.dupload.author-tests>,
+ libtest-minimumversion-perl <pkg.dupload.author-tests>,
+ libtest-perl-critic-perl <pkg.dupload.author-tests>,
+ libtest-pod-perl <pkg.dupload.author-tests>,
+ libtest-spelling-perl <pkg.dupload.author-tests>,
+ libtest-strict-perl <pkg.dupload.author-tests>,
+ libtest-synopsis-perl <pkg.dupload.author-tests>,
+ shellcheck <pkg.dupload.author-tests>,
 Build-Depends-Indep:
  perl,

## dupload 2.9.11

=== debian/changelog ===
dupload (2.9.11) unstable; urgency=medium

  * hooks: Match on any section starting with non-free.
  * Documentation:
    - Itemize available methods in dupload.conf(5).
    - Document when each method and configuration option was added.
    - Move all announcement documentation into a dupload(1) subsection.
    - Clarify .upload filename format in dupload(1).
  * Packaging:
    - Fix dependency on libsecret-tools.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Oct 2022 03:46:32 +0200

dupload (2.9.10) unstable; urgency=medium

  * Print «Uploading job» for http/https methods after password prompt.
  * Check whether we have SSL support for https method as early as possible.
  * Documentation:
    - Fix typos in man pages.
    - Say array reference instead of list reference.
    - Move dupload(1) "Announcement addresses" to DESCRIPTION section.
    - Order dupload(1) options by common usage.
    - Itemize filenames and environment variables in man pages.
    - Rework and itemize upload method information in dupload(1).
    - Document loading order of --configfile configuration file.
    - Document environment variables affecting the http/https methods.
  * Code internals:
    - Move info_field() function definition next to info().
    - Simplify ftp passive mode setup.
  * Build system:
    - Add a new authorcheck target.
  * Test suite:
    - Neutralize version variance in MTA output.

 -- Guillem Jover <guillem@debian.org>  Tue, 06 Sep 2022 00:39:12 +0200

dupload (2.9.9) unstable; urgency=medium

  * Add missing «.*-security» to distallowlist for debian-ftp-security queue.
  * Sort hash keys when iterating over them for reproducible output.
  * Only uppercase the digest algorithm name.
  * Fix email announce action item formatting output.
  * Check explicitly for unknown nicknames in configuration.
  * Do not require default config files being loaded, --configfile should do.
  * Do not print the extra announce files when no announcement is sent.
  * Generalize mailto and mailx handling. Closes: #960708
  * Print the method for each host on --print.
  * Print the reason when files cannot be renamed over FTP.
  * Generalize getpass() function.
  * Add support for passwordcmd option with default via Secret Service.
  * New http/https upload method(s). Closes: #147509
  * Add explicit method key for default «ftp» for all dupload.conf hosts.
  * Update copyright years.
  * Documentation:
    - doc: Update TODO items.
    - doc: Mark deprecated configuration keys inside the square brackets.
  * Code internals:
    - Merge same if/else mode handling branch for scpb and rsync methods.
    - Move ftp specific defaults to ftp handling code.
    - Use getcwd() instead of cwd().
    - Simplify copied files tracking.
    - Reduce scope for FTP $result variable.
    - Group $dry and $mainonly declarations with global control flow variables.
  * Packaging:
    - Bump to Standards-Version 4.6.1 (no changed needed).
    - Add autopkgtest for the functional test suite.
  * Test suite:
    - Add support for DUPLOAD_USER and DUPLOAD_HOST.
    - Add support for DUPLOAD_LOG_TIMESTAMP.
    - Add directory handling functions.
    - Add functional test suite.

 -- Guillem Jover <guillem@debian.org>  Sun, 04 Sep 2022 22:57:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
  aspell <pkg.dupload.author-tests>,
  aspell-en <pkg.dupload.author-tests>,
+ libio-socket-ssl-perl <pkg.dupload.author-tests>,
  libtest-minimumversion-perl <pkg.dupload.author-tests>,
  libtest-perl-critic-perl <pkg.dupload.author-tests>,
  libtest-pod-perl <pkg.dupload.author-tests>,
  libtest-spelling-perl <pkg.dupload.author-tests>,
  libtest-strict-perl <pkg.dupload.author-tests>,
  libtest-synopsis-perl <pkg.dupload.author-tests>,
+ liburi-perl <pkg.dupload.author-tests>,
  shellcheck <pkg.dupload.author-tests>,
 Build-Depends-Indep:
  perl,
@@ -30,10 +32,13 @@
  ${perl:Depends},
  libdpkg-perl,
 Recommends:
+ libio-socket-ssl-perl,
+ liburi-perl,
  openssh-client | ssh,
 Suggests:
  default-mta | mail-transport-agent,
  lintian,
+ libsecret-tools,
 Description: Debian package upload tool
  dupload will automagically upload Debian packages to a remote host with
  a Debian upload queue. The default host is configurable, along with the

## dupload 2.9.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for dupload
 # Copyright © 1996 Heiko Schlittermann
 # Copyright © 2002 Josip Rodin
-# Copyright © 2017, 2019-2020 Guillem Jover <guillem@debian.org>
+# Copyright © 2017, 2019-2022 Guillem Jover <guillem@debian.org>
 
 PACKAGE = dupload
 VERSION = $(shell dpkg-parsechangelog -SVersion)
@@ -53,11 +53,18 @@
 
 clean:
 	rm -f core *.[0-9].pod.* *~ $(MAN)
+	rm -rf t.tmp
 
-.PHONY: check
+.PHONY: check installcheck
 
 check:
 	prove -Ilib
+
+authorcheck:
+	AUTHOR_TESTING=1 $(MAKE) check
+
+installcheck:
+	DUPLOAD_PROG="$(shell command -v dupload)" prove -Ilib
 
 %:	%.pod
 	$(POD2MAN) \

=== debian/changelog ===
dupload (2.9.12) unstable; urgency=medium

  * Fix typo in dupload.conf.
  * Documentation:
    - doc: Fix typo in dupload(1).
  * Packaging:
    - Switch to Standards-Version 4.6.2 (no changed needed).
    - Do not trim debian/changelog.
    - Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jan 2023 23:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ debhelper (>= 13.10),
  dh-sequence-bash-completion,
  aspell <pkg.dupload.author-tests>,
  aspell-en <pkg.dupload.author-tests>,

=== debian/tests/control ===
Tests: functional
Depends: @
Restrictions: rw-build-tree

## dupload 2.10.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for dupload
 # Copyright © 1996 Heiko Schlittermann
 # Copyright © 2002 Josip Rodin
-# Copyright © 2017, 2019-2022 Guillem Jover <guillem@debian.org>
+# Copyright © 2017, 2019-2023 Guillem Jover <guillem@debian.org>
 
 PACKAGE = dupload
 VERSION = $(shell dpkg-parsechangelog -SVersion)
@@ -15,6 +15,7 @@
   hooks/openpgp-check \
   hooks/debian-security-auth \
   hooks/debian-source-only \
+  hooks/debian-next-dinstall \
   $(nil)
 
 prefix = /usr

=== debian/changelog ===
dupload (2.10.5) unstable; urgency=medium

  * Revert "hooks: Rewrite openpgp-check in perl for Dpkg::OpenPGP
    multi-backend support". We need to make the keyrings to use,
    the OpenPGP backend, its commands and whether to use its certificate
    store configurable before we can do this switch. Closes: #1059266

 -- Guillem Jover <guillem@debian.org>  Sat, 23 Dec 2023 01:06:23 +0100

dupload (2.10.4) unstable; urgency=medium

  * hooks: Rewrite openpgp-check in perl for Dpkg::OpenPGP multi-backend
    support, so that we get automatic SOP and Sequoia-PGP support.

 -- Guillem Jover <guillem@debian.org>  Fri, 22 Dec 2023 01:22:49 +0100

dupload (2.10.3) unstable; urgency=medium

  * Enable TCP keep-alive for the FTP control connection. Closes: #827053

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Dec 2023 23:48:47 +0100

dupload (2.10.2) unstable; urgency=medium

  * completion: Fix coding style.
  * completion: Just return without a value.
  * completion: Fix config file and version option names.
  * completion: Do not look for *.asc and *.sig only *.changes.
  * completion: Do not unconditionally complete filenames and dirs.
  * completion: Add missing options.
  * Add new --nostats option.
  * Pass -v to ssh and scp on dupload --debug. Closes: #505611
  * Code internals:
    - Fix typo in code comment.
    - Refactor methods runner into a new function.
    - Turn $copiedfiles into an array.
    - Move $msg declaration to its first use in announce_if_necessary().
    - Turn $mta_cmd into an array.
    - Append $options to $scp_options on setup instead of on each call.
    - Turn $options into an array.
    - Turn $ssh_login and $scp_options into arrays.
    - Turn $rsync_opts into an array.
    - Pass all rsync options via @rsync_opts.
    - Pass ssh -x and -l via new @ssh_options instead of on each call.
    - Switch ssh/scp and rsync system() calls to its array form.
  * Test suite:
    - Add test for the scp, scpb and rsync methods.

 -- Guillem Jover <guillem@debian.org>  Sun, 19 Nov 2023 03:54:35 +0100

dupload (2.10.1) unstable; urgency=medium

  * Pass version argument on its own to preupload sourcepackage hook.
  * Use pre-computed package and version for postupload sourcepackage hook.
  * Test suite:
    - Check all arguments for hooks with multiple arguments.
    - Rename arg to args in test hook.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Sep 2023 15:57:05 +0200

dupload (2.10.0) unstable; urgency=medium

  * Add new README.
  * Remove unnecessary slash escaping in hook substitution.
  * Do not warn when hook arguments are not set.
  * Pass host metadata to hooks via the environment.
  * Add support for a new hook category to run once per host. Closes: #589198
  * hooks: Add new debian-next-dinstall postupload hook.
  * Reject obsolete scalar hook definitions.
  * Reject obsolete mailto, mailtx and cc keys.
  * Reject obsolete distwhitelist and distblacklist keys.
  * Code internals:
    - Call p() with parenthesis.
    - Remove function prototypes.
    - Rename run() to run_hook().
  * Test suite:
    - Add a test case for hooks.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Sep 2023 13:59:23 +0200

## dupload 2.11.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
   hooks/openpgp-check \
   hooks/debian-security-auth \
   hooks/debian-source-only \
+  hooks/debian-transition \
   hooks/debian-next-dinstall \
   $(nil)
 
@@ -28,6 +29,13 @@
 
 INSTALL = install
 POD2MAN = pod2man
+PROVE = prove
+
+PROVE_OPTS =
+
+ifdef TEST_PARALLEL
+PROVE_OPTS += -j$(TEST_PARALLEL)
+endif
 
 mkdirhier = $(INSTALL) -d
 inst_script = $(INSTALL) -m 755
@@ -50,6 +58,7 @@
 	$(inst_data) $(MAN1) $(DESTDIR)$(man1dir)
 	$(inst_data) $(MAN5) $(DESTDIR)$(man5dir)
 	$(inst_script) $(EXTRA_FILES) $(DESTDIR)$(extradir)
+	$(repl_script) $(DESTDIR)$(extradir)/debian-transition
 	$(inst_data) dupload.conf $(DESTDIR)$(confdir)
 
 clean:
@@ -59,13 +68,13 @@
 .PHONY: check installcheck
 
 check:
-	prove -Ilib
+	$(PROVE) $(PROVE_OPTS) -Ilib
 
 authorcheck:
 	AUTHOR_TESTING=1 $(MAKE) check
 
 installcheck:
-	DUPLOAD_PROG="$(shell command -v dupload)" prove -Ilib
+	DUPLOAD_PROG="$(shell command -v dupload)" $(PROVE) $(PROVE_OPTS) -Ilib
 
 %:	%.pod
 	$(POD2MAN) \

=== debian/changelog ===
dupload (2.11.2) unstable; urgency=medium

  * hooks: Fix URLs for Debian transition tracker references.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Apr 2024 03:47:05 +0200

dupload (2.11.1) unstable; urgency=medium

  * hooks: Fix debian-transition to not prompt when there are no transitions.

 -- Guillem Jover <guillem@debian.org>  Thu, 28 Mar 2024 13:26:22 +0100

dupload (2.11.0) unstable; urgency=medium

  * Add hook information on --print output.
  * Add --skip-hooks option and DUPLOAD_SKIP_HOOKS environment variable.
  * hooks: Print skip and prompt instructions for both debian-source-only
    warnings.
  * hooks: Add information on how to skip them.
  * hooks: Add new Debian transition check hook. See #1060367.
  * Code internals:
    - Refactor hook types into a variable.
  * Build system:
    - Parametrize prove invocation.
    - Add support for parallel test execution via TEST_PARALLEL.
  * Test suite:
    - Rename BASEDIR replacement to TESTDIR.
    - Make datadir an absolute path for all codepaths in test_dupload().
    - Neutralize also datadir and workdir in test_dupload().

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Mar 2024 21:03:08 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
 Recommends:
  libio-socket-ssl-perl,
  liburi-perl,
+ libyaml-libyaml-perl,
  openssh-client | ssh,
 Suggests:
  default-mta | mail-transport-agent,

## dupload 2.12.0

=== debian/changelog ===
dupload (2.12.0) unstable; urgency=medium

  * hooks: Do not use unnecessary interpolating quotes.
  * hooks: Use 'eq' instead of a fixed-pattern regex.
  * hooks: Do not use C-style for loop.
  * hooks: Improve hook reporting.
  * Add support for per host OpenPGP keyrings.
  * Update copyright years.
  * Build system:
    - Add support for verbose test output.
  * Packaging:
    - Improve package description.
    - Switch to Standards-Version 4.7.1 (no changed needed).
  * Test suite:
    - Check also perl scripts hooks.

 -- Guillem Jover <guillem@debian.org>  Fri, 21 Feb 2025 10:32:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -43,7 +43,25 @@
  libsecret-tools,
 Description: Debian package upload tool
  dupload will automagically upload Debian packages to a remote host with
- a Debian upload queue. The default host is configurable, along with the
- upload method and a lot of other things. All uploads are logged.
+ a Debian upload queue. All uploads are logged into a dedicated .upload file.
+ The default host is configurable, along with:
  .
- It is intended mainly for people maintaining Debian packages.
+  * the upload method,
+  * queue and incoming directories,
+  * file modes,
+  * keyrings for allowed signatures,
+  * list of .changes distributions allowed or blocked from upload,
+  * whether to send announcement mails or to delegate that to the remote host,
+  * and it can be further extended via pre- and post-uploads hooks.
+ .
+ The following hooks are configured out-of-the box, depending on the remote
+ host to use:
+ .
+  * OpenPGP checks.
+  * Debian source-only upload checks.
+  * Debian security queue upload confirmation.
+  * Debian ongoing transition checks.
+  * Debian dinstall next run time notification.
+ .
+ This tool is intended mainly for people maintaining Debian packages, but
+ not necessarily only for the Debian archive.

## dupload 2.13.0

=== debian/changelog ===
dupload (2.13.0) unstable; urgency=medium

  * hooks: Unify OpenPGP verification success message with other hooks.
  * hooks: Rewrite openpgp-check in perl for Dpkg::OpenPGP multi-backend
    support.
  * Fix batch progress printing. Closes: #181476

 -- Guillem Jover <guillem@debian.org>  Thu, 27 Feb 2025 03:38:16 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Depends:
  ${misc:Depends},
  ${perl:Depends},
- libdpkg-perl,
+ libdpkg-perl (>= 1.21.10),
 Recommends:
  libio-socket-ssl-perl,
  liburi-perl,

## dupload 2.13.1

=== debian/changelog ===
dupload (2.13.1) unstable; urgency=medium

  * hooks: Only print the OpenPGP keyring being used if it's present on disk.
  * hooks: Error out if the OpenPGP check ends up with no keyrings.
  * Packaging:
    - Add a retroactive NEWS entry for OpenPGP multi-backend support.
      Closes: #1099178
    - Fix bash-completion for .changes files and directories. Closes: #1087780
    - Switch to Standards-Version 4.7.2 (no changed needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 01 Mar 2025 19:52:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dupload.git
 Vcs-Git: https://git.dpkg.org/git/dpkg/dupload.git
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## dupload 2.13.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for dupload
 # Copyright © 1996 Heiko Schlittermann
 # Copyright © 2002 Josip Rodin
-# Copyright © 2017, 2019-2023 Guillem Jover <guillem@debian.org>
+# Copyright © 2017-2025 Guillem Jover <guillem@debian.org>
 
 PACKAGE = dupload
 VERSION = $(shell dpkg-parsechangelog -SVersion)
@@ -35,6 +35,10 @@
 
 ifdef TEST_PARALLEL
 PROVE_OPTS += -j$(TEST_PARALLEL)
+endif
+
+ifdef TEST_VERBOSE
+PROVE_OPTS += -v
 endif
 
 mkdirhier = $(INSTALL) -d

=== debian/changelog ===
dupload (2.13.2) unstable; urgency=medium

  * hooks: Print the OpenPGP keyrings that are being skipped.
  * Packaging:
    - Add Recommends on debian-keyring | ubuntu-keyring. Closes: #1099556

 -- Guillem Jover <guillem@debian.org>  Fri, 07 Mar 2025 12:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
  ${perl:Depends},
  libdpkg-perl (>= 1.21.10),
 Recommends:
+ debian-keyring | ubuntu-keyring,
  libio-socket-ssl-perl,
  liburi-perl,
  libyaml-libyaml-perl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs --no-trim

## dupload 2.13.2build1

=== debian/changelog ===
dupload (2.13.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:44:11 +0100
